Download it now!
Bug 119976 - Allow scrolling with mouse wheel while LibreOffice doesn't have focus (KDE with GTK3)
Summary: Allow scrolling with mouse wheel while LibreOffice doesn't have focus (KDE wi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 120584 (view as bug list)
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-09-19 09:19 UTC by Manuel Vögele
Modified: 2019-08-05 19:23 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
it works on 6.2 linux - see video (145.61 KB, video/mp4)
2018-09-21 19:37 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Vögele 2018-09-19 09:19:00 UTC
Description:
Arranging multiple Windows next to each other is a common use case. However LibreOffice doesn't allow to scroll while it doesn't have focus. Thus it's required to first click into the LibreOffice window to make it active before scrolling is possible.

Allowing scrolling while the window is inactive would improve usability for those use case greatly.

Steps to Reproduce:
- Open LibreOffice and some other application (e.g. Firefox) next to each other.
- Make the Window of the other application active by clicking in it
- Put the mouse over the LibreOffice Window and turn the mouse wheel.

Actual Results:
LibreOffice doesn't scroll

Expected Results:
LibreOffice should scroll


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Jean-Baptiste Faure 2018-09-19 10:24:44 UTC
It works for me with LO 6.1.1 under Ubuntu 18.04 x86-64 with Gnome-shell and the GTK3 backend.
What is your window manager? 

My version: Version: 6.1.1.2
Build ID: 1:6.1.1~rc2-0ubuntu0.18.04.1~lo3
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Calc: threaded

Status set to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 2 Manuel Vögele 2018-09-19 10:37:21 UTC
I'm using KDE Plasma 5.13 under Arch Linux. I haven't enabled any backend explicitly.

The About-Dialog of my LO shows the following information:

Version: 6.1.1.2
Build-ID: 6.1.1-2
CPU-Threads: 4; BS: Linux 4.18; UI-Render: Standard; VCL: gtk3_kde5; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 3 BogdanB 2018-09-21 19:37:34 UTC
Created attachment 145091 [details]
it works on 6.2 linux - see video

For me it works under linux. LO 6.2. See the video

Version: 6.2.0.0.alpha0+
Build ID: 66232248ff55639052ddb76918d555e21dc9c46b
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-20_19:40:04
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 4 Aron Budea 2018-09-27 00:03:24 UTC
In Windows this also seems to depend on the application in front, which might not let the event get to the unfocused LibreOffice window.
Comment 5 Buovjaga 2018-10-23 17:22:02 UTC
It does not work with gtk3 and gtk3_kde5. Works with gen and gtk2.
It works on Windows.

It works for JBF under Gnome shell, so probably this is related to KDE. It is not normal for KDE applications, however.
Comment 6 Xisco Faulí 2018-10-23 17:30:58 UTC
I can't reproduce it in

Version: 6.2.0.0.alpha1+
Build ID: cd6dd8c6f3562cbccbc971b916c6a8933840ffeb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 7 Xisco Faulí 2018-10-23 17:36:09 UTC
In Kubuntu,

I can reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

and in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

it has a strange behaviour, it scrolls a bit but not reaching the bottom of the document.

Not reproducible if using gtk or kde4
Comment 8 Vera Blagoveschenskaya 2018-10-24 07:13:53 UTC
(In reply to Xisco Faulí from comment #7)

> it has a strange behaviour, it scrolls a bit but not reaching the bottom of
> the document.
> 

I have the same result for ALT Linux 
KDE Plasma 5.12.7, KDE frameworks 5.49.0, QT 5.9.6

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 9 Mahendra Tallur 2018-11-20 08:33:41 UTC
Actually I was about to file a bug for a similar issue in the Libo tracker, after filing this KDE bug : https://bugs.kde.org/show_bug.cgi?id=401225

What I noticed is, when opening Libo on a 2nd virtual desktop, and switching back and forth, mouse focus was lost, but not keyboard focus.

To be more accurate, mouse focus is not really lost, but when using the mouse-wheel, it doesn't scroll the page but has an effect on *toolbars* instead.

A KWin developer thinks this is an upstream (Libo) bug. I quote Martin F. : "KWin is not responsible for mouse event handling on X11."

Could someone help pin-point this mouse-focus issue under KWin ?

Cheers !
Comment 10 Mahendra Tallur 2018-11-20 08:36:53 UTC
(BTW my setup is : KDE Neon, Xorg, latest KDE stack, latest Libo from the Fresh PPA).
Comment 11 Mahendra Tallur 2018-11-20 10:44:25 UTC
I'd like to add that sometimes, even clicking inside the Libo window doesn't make the mouse-wheel events work again although Libo clearlt has the keyboard focus. I sometimes have to reduce & raise Libo to get the mouse-wheel scrolling work again.
Comment 12 Caolán McNamara 2018-12-03 13:57:49 UTC
*** Bug 120584 has been marked as a duplicate of this bug. ***
Comment 13 tempel.julian 2019-01-08 16:28:44 UTC
I found a workaround in the Arch Wiki for KDE Plasma by setting
GDK_CORE_DEVICE_EVENTS=1
It however mentions that this breaks touchpad smooth scrolling and touchscreen scrolling.
Comment 14 Fabio Rossi 2019-03-13 15:53:25 UTC
I am using writer shipped with version 6.1.5.2 and the scrolling functionality using the mouse wheel is enabled i.e. it works most of the time. But I can reproduce a problem, it happens that the window doesn't react to the rotation of the wheel in the following way:

* Give focus to another application 
* Go with the mouse over the writer window but don't click inside it to give focus
* Try to scroll with the mouse

The writer window gets the focus from the window manager but the scrolling doesn't work. To have it again working it's sufficient to give the focus to another application and return to writer window clicking inside it. After that you can use the wheel to scroll the document.

In the past I didn't have this problem, probably it appeared in the transition between libreoffice 5 and 6.

I am using an old KDE3 desktop environment, libreoffice is compiled with --enable-gtk3-kde5, --enable-gtk and --enable-gtk3
Comment 15 Fabio Rossi 2019-03-13 16:02:29 UTC
(In reply to tempel.julian from comment #13)
> I found a workaround in the Arch Wiki for KDE Plasma by setting
> GDK_CORE_DEVICE_EVENTS=1
> It however mentions that this breaks touchpad smooth scrolling and
> touchscreen scrolling.

in my case the workaround doesn't seem to work if I execute writer with

$ export GDK_CORE_DEVICE_EVENTS=1
$ lowriter

Other apps using GTK3 like firefox doesn't have this problem, even without setting the GDK_CORE_DEVICE_EVENTS variable
Comment 16 Jan-Marek Glogowski 2019-06-09 16:41:04 UTC
(In reply to Vera Blagoveschenskaya from comment #8)
> (In reply to Xisco Faulí from comment #7)
> 
> > it has a strange behaviour, it scrolls a bit but not reaching the bottom of
> > the document.
> > 
> 
> I have the same result for ALT Linux 
> KDE Plasma 5.12.7, KDE frameworks 5.49.0, QT 5.9.6
> 
> Version: 6.2.0.0.alpha1
> Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
> CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
> Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

Can you retest with current master?
I can't reproduce here it here.

This was probably fixed for kde5 when I fixed bug 125201. If it's fixed for kde5, remove the KDE block, as gtk3_kde5 just uses the KDE5 file picker and is otherwise gtk3 code.
Comment 17 Michael Weghorn 2019-06-15 23:11:06 UTC
Still reproducible with

Version: 6.4.0.0.alpha0+
Build ID: 77a3c443d35c7d966217f02ea9189cb1819c7828
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

on Debian testing with Plasma desktop on X11 (plasma-desktop 4:5.14.5.1-1).
Comment 18 Gunter Ohrner 2019-07-22 15:03:09 UTC
(In reply to Jan-Marek Glogowski from comment #16)
> Can you retest with current master?
> I can't reproduce here it here.
> 
> This was probably fixed for kde5 when I fixed bug 125201. If it's fixed for
> kde5, remove the KDE block, as gtk3_kde5 just uses the KDE5 file picker and
> is otherwise gtk3 code.

Mouse wheel scrolling without focus works for me in KDE Neon (Ubuntu 18.04-based) with LibreOffice 6.2.5.2 and kde5-VCL:

Version: 6.2.5.2
Build-ID: 1:6.2.5-0ubuntu0.18.04.1~lo1
CPU-Threads: 8; BS: Linux 4.18; UI-Render: GL; VCL: kde5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 19 Fabio Rossi 2019-07-23 09:56:33 UTC
(In reply to Gunter Ohrner from comment #18)
> (In reply to Jan-Marek Glogowski from comment #16)
> > Can you retest with current master?
> > I can't reproduce here it here.
> > 
> > This was probably fixed for kde5 when I fixed bug 125201. If it's fixed for
> > kde5, remove the KDE block, as gtk3_kde5 just uses the KDE5 file picker and
> > is otherwise gtk3 code.
> 
> Mouse wheel scrolling without focus works for me in KDE Neon (Ubuntu
> 18.04-based) with LibreOffice 6.2.5.2 and kde5-VCL:
> 
> Version: 6.2.5.2
> Build-ID: 1:6.2.5-0ubuntu0.18.04.1~lo1
> CPU-Threads: 8; BS: Linux 4.18; UI-Render: GL; VCL: kde5; 
> Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
> Calc: threaded

here 6.2.5.2 built from sources as indicated in comment #14 still doesn't work on my system:

Version: 6.2.5.2
Build ID: Gentoo official package
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: it-IT (it_IT.UTF-8); UI-Language: en-US
Calc: threaded
Comment 20 Michael Weghorn 2019-07-24 07:23:16 UTC
For clarification: This happens when the gtk3 or gtk3_kde5 VCL plugins are used on KDE Plasma.

It doesn't happen
* with the kf5 VCL plugin (previously called "kde5") on Plasma
* with gtk3 VCL plugin on GNOME
Comment 21 crxssi 2019-08-03 21:51:22 UTC
I am having the same problem.  Mageia Linux 7.1, libreoffice-core-6.2.3.2-3.mga7, plasma-desktop-5.15.4-1.mga7

Firefox will scroll without focus, LibreOffice will not scroll without focus.  It is very annoying.
Comment 22 Michael Weghorn 2019-08-05 19:23:10 UTC
(In reply to crxssi from comment #21)
> I am having the same problem.  Mageia Linux 7.1,
> libreoffice-core-6.2.3.2-3.mga7, plasma-desktop-5.15.4-1.mga7
> 
> Firefox will scroll without focus, LibreOffice will not scroll without
> focus.  It is very annoying.

As mentioned above, you shouldn't experience this issue if you're using the so-called "kde5" ("kf5" from upcoming 6.4 release on) VCL plugin instead of the "gtk3" one. I don't know whether Mageia ships this one, but if you're using the TDF-provided packages, this is included in the kde integration package and will be used by default if installed.